Retomar Cobrança
curl --request POST \
--url https://garu.com.br/api/scheduled-charges/{id}/resume \
--header 'Authorization: Bearer <token>'import requests
url = "https://garu.com.br/api/scheduled-charges/{id}/resume"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://garu.com.br/api/scheduled-charges/{id}/resume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Cobranças Agendadas
Retomar Cobrança
Reative uma cobrança pausada
POST
/
api
/
scheduled-charges
/
{id}
/
resume
Retomar Cobrança
Visão Geral
Retoma uma cobrança pausada — volta parascheduled e os lembretes voltam a disparar normalmente na data de vencimento.
Permitido a partir de: paused.
Exemplo de Requisição
curl -X POST https://garu.com.br/api/scheduled-charges/sch_abc123/resume \
-H "Authorization: Bearer sk_test_sua_chave"
import { Garu } from '@garuhq/node';
const garu = new Garu({ apiKey: process.env.GARU_API_KEY });
await garu.scheduledCharges.resume('sch_abc123');
import requests
import os
requests.post(
"https://garu.com.br/api/scheduled-charges/sch_abc123/resume",
headers={"Authorization": f"Bearer {os.environ['GARU_API_KEY']}"}
)
Parâmetros
string
required
ID da cobrança (
sch_…).Resposta
A cobrança atualizada comstatus: "scheduled". Um evento resumed é apendado e o webhook scheduled_charge.resumed é disparado.Was this page helpful?
⌘I